/* Reiniciamos los márgenes para ocupar toda la pantalla */
body, html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  overflow: hidden; /* Evita que aparezcan barras de desplazamiento */
  font-family: sans-serif;
}

#tv-container {
  position: relative;
  width: 100vw;
  height: 100vh;
}

/* El reproductor ocupa el 100% del contenedor */
#player {
  width: 100%;
  height: 100%;
  pointer-events: none; /* Evita que el usuario pause haciendo clic directamente en el video de YT */
}

/* Diseño del control remoto flotante */
#controls {
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  background: rgba(0, 0, 0, 0.8);
  padding: 15px 30px;
  border-radius: 50px;
  display: flex;
  gap: 15px;
  transition: opacity 0.4s ease;
  opacity: 0; /* Se mantiene oculto por defecto */
}

/* Los controles aparecen cuando mueves el mouse por la pantalla */
body:hover #controls {
  opacity: 1;
}

button {
  background: transparent;
  border: 2px solid white;
  color: white;
  padding: 10px 20px;
  border-radius: 25px;
  cursor: pointer;
  font-size: 16px;
  font-weight: bold;
  transition: all 0.2s;
}

button:hover {
  background: white;
  color: black;
}